package net.taehui.twilight

import java.nio.file.Path
import java.nio.file.Paths

object TwilightComponent {
    private val DB_ENTRY_PATH: Path = Paths.get("DB")
    val NOTE_ENTRY_PATH: Path = DB_ENTRY_PATH.resolve("Note")
    val COMMENT_ENTRY_PATH: Path = DB_ENTRY_PATH.resolve("Comment")
    val BUNDLE_ENTRY_PATH: Path = DB_ENTRY_PATH.resolve("Bundle")
    val SYSTEM_ENTRY_PATH: Path = Paths.get("System")
    val DEFAULT_NOTE_ENTRY: Path = SYSTEM_ENTRY_PATH.resolve("Default").resolve("Note")
    val DEFAULT_UI_ENTRY: Path = SYSTEM_ENTRY_PATH.resolve("Default").resolve("UI")
    val TITLE_ENTRY_PATH: Path = SYSTEM_ENTRY_PATH.resolve("Title")
    val LEVEL_ENTRY_PATH: Path = SYSTEM_ENTRY_PATH.resolve("Level")
    val VOTE_ENTRY_PATH: Path = SYSTEM_ENTRY_PATH.resolve("Vote")
    val ABILITY_ENTRY_PATH: Path = SYSTEM_ENTRY_PATH.resolve("Ability")
    val EDGE_ENTRY_PATH: Path = SYSTEM_ENTRY_PATH.resolve("Edge")
    val AWILIGHT_FILE_PATH: Path = SYSTEM_ENTRY_PATH.resolve("Awilight.py")

    const val NET_BUNDLE_LENGTH = 1_000_000_000L
    const val BUNDLE_LENGTH = 5_000_000_000L
}